summaryrefslogtreecommitdiff
path: root/commit.d/99git-push
diff options
context:
space:
mode:
authorJoey Hess <joey@kitenet.net>2012-11-19 12:05:00 -0400
committerJoey Hess <joey@kitenet.net>2012-11-19 12:05:00 -0400
commitf0b914f3341b7ff9b014498713458384603dfbd6 (patch)
tree2dc809ddd343a8b15fa492d1ed82c11a30534d50 /commit.d/99git-push
parent9d203dc0942b8a1b9edea296d428ce149c93b319 (diff)
parent5f6c02e23aa11e8840bbe5c59c9e3ff670e81397 (diff)
Merge branch 'autopush' of github.com:agimenez/etckeeper
Diffstat (limited to 'commit.d/99git-push')
-rwxr-xr-xcommit.d/99git-push10
1 files changed, 10 insertions, 0 deletions
diff --git a/commit.d/99git-push b/commit.d/99git-push
new file mode 100755
index 0000000..0c3cdd1
--- /dev/null
+++ b/commit.d/99git-push
@@ -0,0 +1,10 @@
+#!/bin/sh
+set -e
+
+if [ "$VCS" = git ] && [ -d .git ] && [ -n "$PUSH_REMOTE" ]; then
+ if git config --get remote.$PUSH_REMOTE.url; then
+ git push $PUSH_REMOTE master
+ else
+ echo "etckeeper warning: Configured remote '$PUSH_REMOTE' is unknown to git"
+ fi
+fi